import 'package:flutter/cupertino.dart';

enum Ambulate { Wheelchair, Walker, Stretcher, None }

extension SelectedAmbulate on Ambulate {
  String getAmbulateTitle(BuildContext context) {
    switch (this) {
      case Ambulate.Wheelchair:
        return 'Wheelchair';
        break;
      case Ambulate.Walker:
        return 'Walker';
        break;
      case Ambulate.Stretcher:
        return 'Stretcher';
        break;
      case Ambulate.None:
        return 'None';
        break;
    }
    return 'None';
  }

  int selectAmbulateNumber() {
    switch (this) {
      case Ambulate.Wheelchair:
        return 0;
        break;
      case Ambulate.Walker:
        return 1;
        break;
      case Ambulate.Stretcher:
        return 2;
        break;
      case Ambulate.None:
        return 3;
        break;
    }
    return 3;
  }

  Ambulate getAmbulateById(int id) {
    switch (id) {
      case 0:
        return Ambulate.Wheelchair;
        break;
      case 1:
        return Ambulate.Walker;
        break;
      case 2:
        return Ambulate.Stretcher;
        break;
      case 3:
        return Ambulate.None;
        break;
    }

    return Ambulate.None;
  }
}
